glibmm: Gio::DBus::AuthObserver Class Reference

glibmm 2.30.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::DBus::AuthObserver Class Reference
D-Bus API

Ah object used for authenticating connections. More...

`#include <giomm/dbusauthobserver.h>`

Inheritance diagram for Gio::DBus::AuthObserver:
[legend]

List of all members.

## Public Member Functions
virtual | ~AuthObserver ()
GDBusAuthObserver* | gobj ()
| Provides access to the underlying C GObject.
const GDBusAuthObserver* | gobj () const
| Provides access to the underlying C GObject.
GDBusAuthObserver* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | authorize_authenticated_peer (const Glib::RefPtr< const IOStream >& stream, const Glib::RefPtr< const Credentials >& credentials)
| Emits the DBusAuthObserver::authorize-authenticated-peer signal on observer.
Glib::SignalProxy2< bool, const Glib::RefPtr< const IOStream >&, const Glib::RefPtr< const Credentials >& > | signal_authorize_authenticated_peer ()
## Static Public Member Functions
static Glib::RefPtr< AuthObserver > | create ()
## Protected Member Functions
| AuthObserver ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::AuthObserver > | wrap (GDBusAuthObserver* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Ah object used for authenticating connections.

The AuthObserver type provides a mechanism for participating in how a Server (or a Connection) authenticates remote peers. Simply instantiate an AuthObserver and connect to the signals you are interested in. Note that new signals may be added in the future.

Since glibmm 2.28:

## Constructor & Destructor Documentation

virtual Gio::DBus::AuthObserver::~AuthObserver | ( |  | ) | `[virtual]`

Gio::DBus::AuthObserver::AuthObserver | ( |  | ) | `[protected]`

## Member Function Documentation

bool Gio::DBus::AuthObserver::authorize_authenticated_peer | ( | const Glib::RefPtr< const IOStream >& | stream,
|  | const Glib::RefPtr< const Credentials >& | credentials
| ) |  |

Emits the DBusAuthObserver::authorize-authenticated-peer signal on observer.

Since glibmm 2.26:

Parameters:

  stream | A IOStream for the DBusConnection.
  credentials | Credentials received from the peer or `0`.

Returns:
  `true` if the peer is authorized, `false` if not.

static Glib::RefPtr<AuthObserver> Gio::DBus::AuthObserver::create | ( |  | ) | `[static]`

GDBusAuthObserver* Gio::DBus::AuthObserver::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GDBusAuthObserver* Gio::DBus::AuthObserver::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GDBusAuthObserver* Gio::DBus::AuthObserver::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::SignalProxy2< bool,const Glib::RefPtr<const IOStream>&,const Glib::RefPtr<const Credentials>& > Gio::DBus::AuthObserver::signal_authorize_authenticated_peer | ( |  | ) |

Prototype:
  `bool on_my_authorize_authenticated_peer(const Glib::RefPtr<const IOStream>& stream, const Glib::RefPtr<const Credentials>& credentials)`

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::AuthObserver > wrap | ( | GDBusAuthObserver * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.